Subject: bug#25939: Acknowledgement ([PATCH] gnu: neomutt: Configure with "kyotocabinet".)

From: Kei Kebreau <[email-masked]>
Date: Fri, 17 Mar 2017 12:42:02 -0400

ng0 <[email-masked]> writes:

> On 17-03-02 17:01:36, Leo Famulari wrote:
>> On Thu, Mar 02, 2017 at 09:31:54PM +0000, ng0 wrote:
>> > In the last patch which added tokyocabinet and its support to neomutt, I
>> > did not know that neomutt has support for kyotocabinet which is a
>> > separate database from tokyocabinet but kyotocabinet is the currently
>> > developed/recommended database (by the database upstream).
>> > 
>> > Should we add this in addition or drop tokyocabinet in favor of adding
>> > kyotocabinet ? I'm okay with just adding it.
>> 
>> Sorry, I replied to the patch before seeing this message. If
>> tokyocabinet is unmaintained or superseded by kyotocabinet, then let's
>> just remove it from neomutt.
>> 
>> 
>> 
>
> No problem, I've only realized it after the patch was merged in. After
> all the patch includes not only the tokyodb.
> I'd read the database website and leave it up to someone else as a
> second opinion what's the best course of action here.
> I only knew of kyotocabinet before I found tokyo and read as tokyo as
> the work which happened before kyotocabinet.

FYI, I committed the patch a little while ago. I decided to remove
tokyocabinet, as kyotocabinet seems to be its successor. You may close
the bug if you feel it has been addressed satisfactorily.